


void TEXTURE_scale_greyscale_128x128_to_256x256(unsigned char *src, unsigned char *dest);
void TEXTURE_blur_greyscale_256x256(unsigned char *buffer);
void TEXTURE_greyscale_clip_whiteblack(unsigned char *src, unsigned char *dest, unsigned char thresold);
void TEXTURE_greyscale_to_RGBA(unsigned char *src, unsigned char *dest, int size);
void TEXTURE_greyscale_invert(unsigned char *src, int size);
void TEXTURE_halo(unsigned char *dest);